Skip to main content
`Ctrl`+`K`

# DSGetMethod

Gets the method currently used in the `DS`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetMethod(DS ds,PetscInt *meth)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- meth - identifier of the method

## See Also

DS: Direct Solver (or Dense System), `DSSetMethod()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages